javax.persistence.jdbc.driver=org.h2.Driver
javax.persistence.jdbc.url=jdbc:h2\:mem\:testdb;DB_CLOSE_DELAY=-1;INIT=RUNSCRIPT FROM 'classpath:create-schema.sql'
javax.persistence.jdbc.user=sa
javax.persistence.jdbc.password=


hibernate.hbm2ddl.auto=update
hibernate.dialect=org.hibernate.dialect.H2Dialect
hibernate.show_sql=false
hibernate.format_sql=false
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false

preregistration.rebook.timespan = 24
preregistration.cancel.timespan = 24
preregistration.timespan.cancel=24
preregistration.timespan.rebook=24

service.version=v1.0
master.service.env=masterdata
demographic.service.env=demographic
demographic.service.version=v0.1

document.service.env=demographic
document.service.version=v0.1

int.dns.url=http://localhost:8086
dev.dns.url=https://dev.mosip.io

#Number of days for which time slot will be calculated
preregistration.availability.sync=7

#Number of days for display
preregistration.availability.noOfDays=7

#Number of days after which timeslots will be seen in UI
preregistration.booking.offset=2
regCenter.url=http://localhost:8086/masterdata/v1.0/registrationcenters
holiday.url=http://localhost:8086/masterdata/v1.0/getregistrationcenterholidays/
noOfKiosks=10
documentUrl=http://localhost:9093/${document.service.env}/${document.service.version}/getDocument
email.acknowledgement.template=Email-Acknowledgement
email.acknowledgement.subject.template=Acknowledgement-email-subject
sms.acknowledgement.template=SMS-Acknowledgement
version=1.0
id=mosip.pre-registration.booking.book
demographic.resource.url=http://localhost:9092/pre-registration/v1.0/applications

#Pre-registration Id length
prereg_id.length=16

#Kernel Service URL for Encryption and decryption
cryptoResource.url=${dev.dns.url}/cryptomanager/v1.0

#Kernel service URL for Audit logging
audit.url=${dev.dns.url}/auditmanager/v1.0/audits

#Kernel service URL for fetching templates
resource.template.url=${dev.dns.url}/masterdata/v1.0/templates

#Kernel service URL for sending emails
emailResourse.url=${dev.dns.url}/emailnotifier/v1.0/email/send

#Kernel service URL for sending sms
smsResourse.url=${dev.dns.url}/smsnotifier/v1.0/sms/send

timeSpanCheckForRebook=24
timeSpanCheckForCancel=24
# UTC ISO Date Time Pattern
mosip.utc-datetime-pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
mosip.id.validation.identity.dateOfBirth=
mosip.id.validation.identity.phone=
mosip.id.validation.identity.email=
mosip.id.validation.identity.postalCode=
mosip.id.validation.identity.CNIENumber=
mosip.id.validation.identity.phone.length=10
mosip.id.validation.identity.email.length=50
mosip.id.validation.identity.postalCode.length=6
mosip.id.validation.identity.CNIENumber.length=30
mosip.postal.code.length=6
mosip.mobile.length=10
mosip.email.length=50
mosip.CINE.length=30
mosip.kernel.prid.length=
preregistration.preid.regex=
auth.server.validate.url=
